Bug 2267720 - CVE-2024-2002 libdwarf: crashes randomly on fuzzed object [fedora-all]
Summary: CVE-2024-2002 libdwarf: crashes randomly on fuzzed object [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdwarf
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-2002
TreeView+ depends on / blocked
 
Reported: 2024-03-04 16:23 UTC by ybuenos
Modified: 2024-04-19 21:27 UTC (History)
4 users (show)

Fixed In Version: libdwarf-0.9.2-1.fc40
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-19 21:27:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description ybuenos 2024-03-04 16:23:39 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2267700

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 ybuenos 2024-03-04 16:23:42 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2267700,2267720

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-04-02 21:00:54 UTC
FEDORA-2024-60627905b6 (libdwarf-0.9.2-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-60627905b6

Comment 3 Fedora Update System 2024-04-03 01:23:18 UTC
FEDORA-2024-60627905b6 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-60627905b6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-60627905b6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2024-04-19 21:27:59 UTC
FEDORA-2024-60627905b6 (libdwarf-0.9.2-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.